BUG: soft lockup detected on CPU#0!

Bug #64125 reported by Duncan Lithgow on 2006-10-05
8
Affects Status Importance Assigned to Milestone
linux-source-2.6.17 (Baltix)
Undecided
Unassigned
linux-source-2.6.17 (Ubuntu)
Undecided
Unassigned
linux-source-2.6.22 (Baltix)
Undecided
Unassigned

Bug Description

This is one of several bugs which have recently appeared since I did a dist-upgrade from 6.06 to 6.10. My (HP dv8220 Intel dual core) system is described at https://wiki.ubuntu.com/LaptopTestingTeam/HP_Pavilion_DV8220EA

When attempting to boot in recovery mode I got

*Assembing RAID arrays...
*Setting up LVM Volume Groups [ok]
*Starting Enterprise Volume Management system...
[17179610.132000] BUG: soft lockup detected on CPU#0!

The system seems to boot okay sometimes but othertimes I am getting a variety of bugs with very little clue to the source.

Timothy (timothyparez) wrote :

I have the same problem with an Intel Core Duo 2x2.16Ghz

Jarrett Miller (spook) wrote :

I have the same problem on a Dell Precision m65. Core 2 Duo. The i386 kernel boot's fine but the generic kernel does not. Mine locks up at the exact same spot. Right after the message about starting EVMS.

Jarrett Miller (spook) wrote :

UPDATE: I found for me it was the Intel 3945abg wireless card that was causing the BUG: soft lockup detected on CPU#0! message to appear.

All I did was execute

cd /root && sudo mv /etc/modprobe.d/ipw3945 .

Now the system successfully boots the generic kernel just fine. Again this was a dell precision m65 with a Core 2 duo.

Duncan Lithgow (duncan-lithgow) wrote :

what does "cd /root && sudo mv /etc/modprobe.d/ipw3945 ." do? And I should mention that I need that driver.

Jarrett Miller (spook) wrote :

that command disables the 3945 driver. It saves the script that loads that driver during boot to the root directory in case you need to restore it later. I wish I could use that driver as well but until it's fixed at least I can use the generic kernel which is multi-processor enabled.

Mikael Nilsson (mini) wrote :

Same problem here...

The soft lockup occurs in different stages each time, but always before X is started.

Dell M1710, Core Duo @ 2.16GHz

I should mention that my 2.6.17-7-generic boots, while my 2.6.17-10-generic does not.

I'm a bit afraid to regenerate the initrd for the -7 kernel (still using the old splash screen) as I think that might uncover that problem for the -7 kernel too. But I'm not sure.

This makes a default edgy install unusable on potentially every modern Dell laptop, as the chipsets are all the same. Please raise priority.

Note: also using the ipw driver.

Duncan Lithgow (duncan-lithgow) wrote :

The Intel people are aware of this bug. You can see their bugreports at the dev site for the ipw3945 driver here: http://bughost.org/bugzilla/show_bug.cgi?id=1096

They think that the bug is only present when the wireless killswitch is on. Let's see if we can help them fix this.

Duncan Lithgow (duncan-lithgow) wrote :

Jarrett, how did you isolate the problem to the ipw3945 driver? Are you running 6.06 or 6.10?

Changed in linux-source-2.6.17:
status: Unconfirmed → Confirmed
glen (webplate) wrote :

Reporting : after upgrading to 6.10 the machine won't boot (stops after "Starting Enterprise Volume Management system..." announcing a "Soft Lockup detected on CPU#0!") it happens when booting on the generic kernel and only when the Wifi intel card (named PRO/Wireless 3945ABG Network) is off ( the wifi is functional). I have a dell inspiron 6400 with intel dual core processor.

jdmux (johnwohlbier) wrote :

I get

eth0: Host error, FIFO diagnostic register 8000.
eth0: PCI bus error, bus status 800000a0

Andrew Jorgen in bug 60053 reported that this bug is the same
(via duplications), although I have yet to see anyone report the
same message before hang.

Incidentally, it hangs when I try to boot into WinXP as well.

jdmux (johnwohlbier) wrote :

BTW, my machine has no wifi. I'm confused as to how this
has been marked a "duplicate" to bug 60053 yet most posts
are refering to a "kill switch."

U Sri, 08. 11. 2006., u 05:02 +0000, jdmux je napisao/la:

> Incidentally, it hangs when I try to boot into WinXP as well.

Then you would agree it's possible that it isn't a bug, but broken
hardware?

jdmux (johnwohlbier) wrote :

That was what I initially thought, but there were a couple of posts
referring to WinXP boots. I ran memtest86 and it passed, and since the WinXP
and Ubuntu OSs' live on separate drives, I couldn't think of a piece
of hardware that could be the cause. I'm not ruling it out, but the fact
that at least one other person is reporting the same errors as a bug
duplicate
I thought I'd chime in. In fact, I might have the same NIC as the reporter.
I should check.

On 11/7/06, Ante Karamatić <email address hidden> wrote:
>
> *** This bug is a duplicate of bug 63418 ***
>
> U Sri, 08. 11. 2006., u 05:02 +0000, jdmux je napisao/la:
>
> > Incidentally, it hangs when I try to boot into WinXP as well.
>
> Then you would agree it's possible that it isn't a bug, but broken
> hardware?
>
> --
> BUG: soft lockup detected on CPU#0!
> https://launchpad.net/bugs/64125
>

Mikael Nilsson (mini) wrote :

ons 2006-11-08 klockan 05:06 +0000 skrev jdmux:
> *** This bug is a duplicate of bug 63418 ***
>
> BTW, my machine has no wifi. I'm confused as to how this
> has been marked a "duplicate" to bug 60053 yet most posts
> are refering to a "kill switch."

All of bug 64125, bug 69086, bug 60053, and bug 63418 talk about CPU
soft lockups (the specific error message "BUG: soft lockup detected on
CPU#0!").

If you don't see that message, please file another bug for your problem.

/Mikael

>
--
Plus ça change, plus c'est la même chose

imariot (imariot) wrote :

I have a dell latitude d820 and had the same issue. The problem does go away when the wireless switch is turned off. Once I switched the wireless controller off and went into the recovery console, I was able to run the command that Jarrett gave above and it worked fine. Will wait to activate wireless until newer Intel driver is released.

JMO Mandia (jmomandia) wrote :

My latest experience: I switched it off, then I was able to boot normally. I
switched it on again, and again the boot-up was normal. I'm using a Latitude
D520. Since then, there have been no problems.

On 1/8/07, imariot <email address hidden> wrote:
>
> *** This bug is a duplicate of bug 63418 ***
>
> I have a dell latitude d820 and had the same issue. The problem does go
> away when the wireless switch is turned off. Once I switched the
> wireless controller off and went into the recovery console, I was able
> to run the command that Jarrett gave above and it worked fine. Will wait
> to activate wireless until newer Intel driver is released.
>
> --
> BUG: soft lockup detected on CPU#0!
> https://launchpad.net/bugs/64125
>

luna (fciuffani) wrote :

It doesn't happen only with intel wireless chips. I had this message when booting on an old HP Omnibook XE3 (pentium III-M) for a fresh install. However, as soon as I removed the PCMCIA D-Link DWL-G650 Wireless card, the system continued to boot.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers